summaryrefslogtreecommitdiff
path: root/EmulatorPkg
diff options
context:
space:
mode:
authorjljusten <jljusten@6f19259b-4bc3-4df7-8a09-765794883524>2011-10-31 15:56:11 +0000
committerjljusten <jljusten@6f19259b-4bc3-4df7-8a09-765794883524>2011-10-31 15:56:11 +0000
commitca3ba72cba575ffcad203bbc708b36d03e93ab97 (patch)
tree512eb4397c3afdea05508bf0c79b9e39c064065d /EmulatorPkg
parentc8a556e32c90b5141ba7ea0f25fa7dbb5cdccf9d (diff)
EmulatorPkg/build.sh: Detect GCC 4.5 & 4.6
Detect GCC 4.5 & 4.6, and use GCC45 and GCC46 toolchains. Signed-off-by: jljusten Reviewed-by: andrewfish git-svn-id: https://edk2.svn.sourceforge.net/svnroot/edk2/trunk/edk2@12611 6f19259b-4bc3-4df7-8a09-765794883524
Diffstat (limited to 'EmulatorPkg')
-rwxr-xr-xEmulatorPkg/build.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/EmulatorPkg/build.sh b/EmulatorPkg/build.sh
index e031c3ee0..06ec37a4c 100755
--- a/EmulatorPkg/build.sh
+++ b/EmulatorPkg/build.sh
@@ -81,6 +81,20 @@ case `uname` in
HOST_PROCESSOR=X64
;;
esac
+
+ gcc_version=$(gcc -v 2>&1 | tail -1 | awk '{print $3}')
+ case $gcc_version in
+ 4.5.*)
+ TARGET_TOOLS=GCC45
+ ;;
+ 4.6.*)
+ TARGET_TOOLS=GCC46
+ ;;
+ *)
+ TARGET_TOOLS=GCC44
+ exit 1
+ ;;
+ esac
;;
esac